BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name	jpam
%define version	0.4
%define release	1jpp

Name:           %{name}
Version:        %{version}
Release:        alt1_1jpp1.7
Epoch:          0
Summary:	A JNI Wrapper for the Unix pam(8) subsystem and a JAAS bridge
License:	Apache Software License, v. 1.1
Url:		http://jpam.sourceforge.net/
Group:          Development/Java
Source0:	%{name}-%{version}-src.tar.bz2
Patch0:		jpam-build_xml.patch

BuildRequires: checkstyle
BuildRequires: junit
BuildRequires: gcc
BuildRequires: make
BuildRequires: pam-devel
BuildRequires: antlr
BuildRequires: jakarta-commons-beanutils
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-logging
BuildRequires: regexp
Requires: antlr
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-collections
Requires: jakarta-commons-logging
Requires: regexp

%description 
JPam provides a class to access the Unix pam(8) subsystem from
Java, and wraps it in a JAAS LoginModule

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:       Documents for %{name}
Group:         Development/Documentation

%description manual
Documents for %{name}.

%prep
%setup -q

%if 0
grep test: /etc/passwd || {
echo
echo user test must exist with password test01
echo
exit 1;
}
grep test2: /etc/passwd || {
echo
echo user test2 must exist with password test02
echo
exit 2;
}
ls /etc/pam.d/net-sf-jpam* || {
echo
echo src/config/arch/net-sf-jpam\* must have been copied to /etc/pam.d
echo
exit 3;
}
[ -r /etc/shadow ] || {
echo
echo /etc/shadow must be readable for you
echo
exit 4;
}
%endif

rm -rf doc/documentation/javadoc
rm -Rfv tools/*.jar
build-jar-repository -p tools/ \
antlr \
checkstyle \
junit \
commons-beanutils \
commons-collections \
commons-logging \
regexp \

%patch0 -b .sav

%build
export JAVA_HOME=%{java_home}
#%ant shared-object dist-jar test javadoc
%ant shared-object dist-jar javadoc

%install

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 src/dist/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# FIXME: Sun's JDK does not search for libraries in /usr/lib, though
# IBM's does. This specfile will work for users with the IBM JRE, but not
# for users of Sun's JRE. Unfortunately, the two JRE's don't have a single
# directory in java.library.path in common.
install -D -m 755 build/gen-src/c/libjpam.so $RPM_BUILD_ROOT%{_libdir}/libjpam.so

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr site/documentation/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
%if 0
cat <<EOT

	Please remember to revert the changes made for testing purposes:

	- Drop or lock the users test and test2.
	- Delete net-sf-jpam* from /etc/pam.d
	- Revert to 0400 perms for /etc/shadow

EOT
%endif
	

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*
%{_libdir}/libjpam.so
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*.txt

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}/documentation
%{_docdir}/%{name}-%{version}/index.html
%{_docdir}/%{name}-%{version}/images
%{_docdir}/%{name}-%{version}/stylesheets

%changelog
* Sat Mar 08 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.4-alt1_1jpp1.7
- converted from JPackage by jppimport script

